## org.apache.lucene.search.spell
Class PlainTextDictionary

    java.lang.Object
      org.apache.lucene.search.spell.PlainTextDictionary

All Implemented Interfaces:
  Dictionary

    public class PlainTextDictionary

extends Object
implements Dictionary

Dictionary represented by a text file.

Format allowed: 1 word per line:
word1
word2
word3

Constructor Summary
`` `PlainTextDictionary(File file)`
`` `PlainTextDictionary(InputStream dictFile)`
`protected` `PlainTextDictionary(Reader reader)` Create a dictionary based on a reader.

Method Summary
`Iterator` `getWordsIterator()` Return all words present in the dictionary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlainTextDictionary

    public PlainTextDictionary(File file)
                        throws FileNotFoundException

Throws:
  `FileNotFoundException`

### PlainTextDictionary

    public PlainTextDictionary(InputStream dictFile)

### PlainTextDictionary

    protected PlainTextDictionary(Reader reader)

  Create a dictionary based on a reader. Used by the test case.

Method Detail

### getWordsIterator

    public Iterator getWordsIterator()

  Description copied from interface: `Dictionary`
  Return all words present in the dictionary

  Specified by:
    `getWordsIterator` in interface `Dictionary`
  Returns:
    Iterator

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.